package sys_user_payment

import (
	_ "github.com/gogf/gf/contrib/drivers/mysql/v2"
	"github.com/gogf/gf/v2/os/glog"

	"kami/api/commonApi"
	v1 "kami/api/sys_payment/v1"
	"kami/internal/model"
	"testing"

	"github.com/gogf/gf/v2/os/gctx"
)

func Test_sSysUserPayment_DailySummary(t *testing.T) {
	service := New()
	_, record, _ := service.DailySummary(gctx.New(), model.SysUserPaymentDailySummaryInput{
		PaymentSummaryListReq: &v1.PaymentSummaryListReq{
			CommonPageReq: commonApi.CommonPageReq{
				PageSize: 10,
				Current:  1,
			},
		},
	})
	glog.Info(gctx.New(), record)
}
